---

#! /db/releases/20250206215625/lkp-src/jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: lib
job_origin: kernel-selftests.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- PRIME_NUMBERS: m
- TEST_BITMAP: m
- TEST_PRINTF: m
- TEST_SCANF: m
- TEST_BITOPS: m
- TEST_STRSCPY: m
- PRIME_NUMBERS: m
- TEST_BITMAP: m
- TEST_PRINTF: m
- TEST_SCANF: m
- TEST_BITOPS: m
- TEST_STRSCPY: m
initrds:
- linux_headers
- linux_selftests

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d06
tbox_group: lkp-skl-d06
branch: linux-next/master
commit: 313b38a6ecb46db4002925af91b64df4f2b76d1f
job_file: "/lkp/jobs/scheduled/lkp-skl-d06/kernel-selftests-lib-debian-12-x86_64-20240206.cgz-313b38a6ecb4-20250215-875462-a0bddd-1.yaml"
id: 3def873692f90c52838ac032adab4d093b4a0a78
queuer_version: "/zday/lkp"

#! /db/releases/20250213220059/lkp-src/hosts/lkp-skl-d06
model: Skylake
nr_cpu: 4
memory: 16G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APQX4B-part*"
ssd_partitions: "/dev/disk/by-id/wwn-0x55cd2e404b653ca4-part2"
rootfs_partition: "/dev/disk/by-id/wwn-0x55cd2e404b653ca4-part1"
brand: Intel(R) Xeon(R) CPU E3-1225 v5 @ 3.30GHz
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915
ucode: '0xf0'

#! /db/releases/20250213220059/lkp-src/include/category/functional

#! /db/releases/20250213220059/lkp-src/include/category/ALL

#! /db/releases/20250213220059/lkp-src/programs/kernel-selftests/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2025-02-15 18:23:56.940682294 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests/lib/lkp-skl-d06/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250214-234525"
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/lib/lkp-skl-d06/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/vmlinuz-6.14.0-rc2-00008-g313b38a6ecb4
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-skl-d06/kernel-selftests-lib-debian-12-x86_64-20240206.cgz-313b38a6ecb4-20250215-875462-a0bddd-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=313b38a6ecb46db4002925af91b64df4f2b76d1f
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20250215.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-78a632a2086c-1_20250215.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250213220059/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d06/kernel-selftests-lib-debian-12-x86_64-20240206.cgz-313b38a6ecb4-20250215-875462-a0bddd-1.cgz"
last_kernel: 4.20.0

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/vmlinuz-6.14.0-rc2-00008-g313b38a6ecb4"
result_root: "/result/kernel-selftests/lib/lkp-skl-d06/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/313b38a6ecb46db4002925af91b64df4f2b76d1f/0"

#! /db/releases/20250215164735/lkp-src/include/site/inn
dequeue_time: 2025-02-15 19:17:22.081401275 +08:00
job_state: finished
loadavg: 2.57 0.90 0.32 1/148 1989
start_time: '1739618445'
end_time: '1739618448'
version: "/lkp/lkp/.src-20250214-234525:b4b6433a86e7-dirty:ff95fe4351f0-dirty"
